Description

Description

le script joué est joint il se nomme /opt/VALIDATIOn8R3/test_modes.py
1 Les parametres utilisés sont ceux par défaut du normal mode.
15h de NORMAL Mode

Les données (2016_02_17_16_59_20_packet_*) sont sur pc-instru Weekly Erased/Thomas/run-2016-02-17-3.0.0.22-1.1.89.
Les données (2016_02_17_16_59_20_packet_*) sont sur pc-faust9 dans le répertoire
/home/validation/data/R3/3.0.0.22/TESTCHARGE/normal.

Contexte du test

FSW 3.0.0.22

VHDL 1.1.89

EM AVEC Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:

Related to Task #614: 3.0.0.20 Closed 09/02/2016
Related to Task #620: 3.0.0.22 Closed 12/02/2016
History

#1 - 18/02/2016 08:50 AM - Veronique bouzid
- File 2016_02 _17_16_59_20 packet log.data.resu added

Passage du periodicity.py (voir 2016_02_17_16_59_20_packet_log.data.resu) et le fichier log.txt utile pour le debug.
Produits scientifiques correct.
Un petit bémol pour pour HK (min, max).

WARNING : First HK occured after 2s e.g. LFR Start, this time delta will be ignored for following stats
Mean of all HK delta times : 0.999993013056 s

Median of all HK delta times : 1.0.s

Highest delta between 2 packets : 1.018112 s

Lowest delta between 2 packets : 0.981888 s

Number of delta times above 5% tolerance : 0 = 0.0 % of all packets

Number of zero delta times e.g. 2 different HK with same time : 0

--> extrait du fichier (2016_02_17_16_59_20_packet_*)

delta max

2016217 17:59:20:462 TM_LFR_HK time = 0x 1577176 fb6f
2016217 17:59:21:519 TM_LFR_HK time = O0x 1577178 12

delta min juste aprés la séquence ou on a détecté le delta max
2016217 17:59:21:519 TM_LFR_HK time = Ox 1e577178 12
20162 17 17:59:22:462 TM_LFR_HK time = 0x 1e577178 fb6f

Aprés cela repart en nominal

20162 17 17:59:23:462 TM_LFR_HK time = 0x 1577179 fb6e
2016 2 17 17:59:24:462 TM_LFR_HK time = Ox 1e57717a fb6e
#2 - 18/02/2016 10:47 AM - thomas chust
- Related to Task #614: 3.0.0.20 added

#3 - 18/02/2016 10:47 AM - thomas chust
- File plot_delta_ SWF_FO0_test.png added
- File plot_delta_ SWF_F1_test.png added
- File plot_delta_ SWF_F2_test.png added

- File tests_time_asm_VHDL-1.1.89 FSW-3.0.0.22 _2016_02 17 _test added
- File tests_time_cwf_VHDL-1.1.89 FSW-3.0.0.22 2016 _02_17_test added
- File tests_time_swf VHDL-1.1.89 FSW-3.0.0.22_2016_02_17_test added

- Assignee changed from thomas chust to Veronique bouzid

Test fait. Resultat nominal semblable a la 3.0.0.22 (#614). Comportement de la resynchro semblable au test long #624.

#4 - 18/02/2016 12:21 PM - bruno katra

Concernant les HK :

Ce n'est pas trés grave, ce genre d'écarts a déja été observé sur quasiment tous les tests. j'en avais parlé a Paul a I'époque qui m'avait dit en effet
que les HK n'était pas prioritaire par rapport aux paquets scientifiques. Lorsque je lui avais demandé la tolérance acceptable il m'avait évoqué 10 %
d'erreur. Je trouvais ga un peu gros donc j'ai mis un avertissement sur une tolérance a 5% dans le periodicity.py et on est largement en dessous :
Number of delta times above 5% tolerance : 0 = 0.0 % of all packets

#5 - 19/02/2016 09:28 AM - thomas chust
- Related to Task #620: 3.0.0.22 added

#6 - 22/02/2016 05:47 PM - Veronique bouzid

- Status changed from New to Closed
